<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>profile</title>
    <link rel="stylesheet" href="/userFrontend/css/Profile.css">
    <link rel="stylesheet" href="/userFrontend//css/responsive.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
</head>
<body>
    <div class="navigation">
        <a href="/mainDashboard"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt="" class="logo">
        </a>
        <ul>
            <li><a href="/tournamentEvents">Events</a></li>
            <li><a href="mailto:recipient@example.com">Contact us</a></li> 
            <li><a href="/About">About us</a></li>
            <li onclick="logoutConfirmation()">
                <span class="material-symbols-outlined" style="transform: translateY(0.2rem);">
                    logout
                </span>
            </li>
            
        </ul>
    </div>
    <div class="nav-bottom"><img src="/userFrontend/img/bgProfileMLBB-01 1.png" alt="" width="100%"></div>
    <div class="profile">
        <div class="name" id="username"></div><br>
    </div>
    <hr><br>
    <div class="my-tour">
    <a href="/profleEdit">Edit</a>
    <a href="/profileTournament" >My tournaments</a>
    <a href="/profileInfo"class="my-page">Team</a>
    </div><br>
    <hr>
    <div class="content">
        </div>
        <div class="request_leave">
            <a href="" class="req" id="leaveTeam">Leave Team</a>

        </div>
    </div>
    <div class="footer">
        <div class="logo1"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt="" ></div>
        <div class="social">
            <i class="fab fa-instagram" aria-hidden="true"></i>
           <i class="fab fa-youtube" aria-hidden="true"></i>
           <i class="fab fa-facebook" aria-hidden="true"></i>
        </div>
        <hr style="width: 80%; margin-top: 1rem;">
        <div class="copyrights">Copyright &copy; 2024 MLBB Tournament Hosting Website. All rights reserved</div>
    </div>
    <div id="confirmationModal" class="modal">
        <div class="modal-content">
            <p>Are you sure you want to leave the team?</p>
            <button class="button" id="confirmLeave" style="padding: 5px;">Yes leave</button>
            <button href="" id="cancelLeave" style="padding: 5px;margin-top: 3rem;">Cancel</button>
        </div>
    </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<script>
    $(document).ready(function(){
 $(window).scroll(function(){
   if($(this).scrollTop() > 100) {
     $('.navigation').css('background', 'rgba(54, 25, 59)');
   } else {
     $('.navigation').css('background', 'transparent');
   }
 });
});

document.addEventListener("DOMContentLoaded", function() {
        var modal = document.getElementById("confirmationModal");
        var leaveTeamLink = document.getElementById("leaveTeam");
        var confirmLeaveButton = document.getElementById("confirmLeave");
        var cancelLeaveButton = document.getElementById("cancelLeave");

        leaveTeamLink.addEventListener("click", function(event) {
            event.preventDefault();
            modal.style.display = "block";
        });

        cancelLeaveButton.addEventListener("click", function() {
            modal.style.display = "none";
        });

        window.addEventListener("click", function(event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        });
    });
    document.getElementById('confirmLeave').addEventListener('click', function() {
    // Redirect to another page
    window.location.href = '/joinTeam';
});
function logoutConfirmation() {
    if (confirm('Are you sure you want to logout?')) {
        window.location.href = '/tournamentLogin'; // Redirect to login.html if user confirms
    }
}

</script>

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>
<script src="../userFrontend/frontend.js/izittoast.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type = "module" src = "../userFrontend/frontend.js/teamInfo.js"></script>  
</html>